org.deidentifier.arx.framework.lattice

## Class TransformationLong

- java.lang.Object
- - org.deidentifier.arx.framework.lattice.Transformation<java.lang.Long>
  - - org.deidentifier.arx.framework.lattice.TransformationLong

    public class TransformationLong
    extends Transformation<java.lang.Long>

The class Transformation.

Author:
  Fabian Prasser

### Method Summary

All Methods Instance Methods Concrete Methods
`TransformationList<java.lang.Long>` `getPredecessors()` Returns all predeccessors of the transformation with the given identifier
`TransformationList<java.lang.Long>` `getSuccessors()` Returns all successors
`void` `setPropertyToNeighbours(de.linearbits.jhpl.PredictiveProperty property)` Sets the property to all neighbors

### Methods inherited from class org.deidentifier.arx.framework.lattice.Transformation

`getData, getGeneralization, getIdentifier, getInformationLoss, getLevel, getLowerBound, hasProperty, setChecked, setData, setInformationLoss, setLowerBound, setProperty, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getPredecessors

    public TransformationList<java.lang.Long> getPredecessors()

Returns all predeccessors of the transformation with the given identifier

Specified by:
  `getPredecessors` in class `Transformation<java.lang.Long>`
Parameters:
  `transformation` -
Returns:

#### getSuccessors

    public TransformationList<java.lang.Long> getSuccessors()

Returns all successors

Specified by:
  `getSuccessors` in class `Transformation<java.lang.Long>`
Returns:

#### setPropertyToNeighbours

    public void setPropertyToNeighbours(de.linearbits.jhpl.PredictiveProperty property)

Sets the property to all neighbors

Specified by:
  `setPropertyToNeighbours` in class `Transformation<java.lang.Long>`
Parameters:
  `property` -